const CheckboxCard = require('./checkbox-card');

describe('CheckboxCard', () => {
  it('should calculate count for selected options on a CheckboxCard', () => {
    const card = new CheckboxCard({
      details: {
        countLabel: 'Locks/Tags',
        selectedOptions: [
          { count: 1, value: 'Shut Off utility.' },
          { count: 2, value: 'Lock bleed valve open.' },
        ],
      },
    });

    expect(card.details.count).toEqual(3);
  });
});
